use std::env;

mod search;

#[tokio::main]
async fn main() {
    // Collect command-line arguments
    let args: Vec<String> = env::args().collect();

    // Check if the correct number of arguments is passed
    if args.len() != 2 {
        eprintln!("Usage: raur <package name>");
        return;
    }

    let package_name = &args[1];

    // Call the async search function and await it
    search::search(package_name).await;
}
