use aur_rs::{Request, ReturnData};

pub async fn search(package_name: &str) {
    println!("Searching for package: {}\n", package_name);

    search_package_by_name(package_name).await;
}

pub async fn search_package_by_name(package_name: &str) {
    let request = Request::default();
    let response: ReturnData = request
        .search_package_by_name(package_name)
        .await
        .expect("Failed to search package");

    if response.results.is_empty() {
        eprintln!("No results found");
        return;
    }

    for package in &response.results {
        println!("Package name: {}", package.name);

        // Print the package description if it exists
        if let Some(description) = &package.description {
            println!("Description: {}", description);
        }

        println!();
    }
}
